// Copyright (c) 1999 Quadralay Corporation.  All rights reserved.
//
// The information in this file is confidential and proprietary to
// Quadralay Corporation.  Unauthorized use or duplication is
// strictly prohibited.

hsmod[hsmod.length]="Rational TestManager Extensibility Reference";

var wwhtop = foldersTree;

var wwh275637=new Folder("Preface", "preface.htm#1053460");
wwhtop.addChild(wwh275637);

wwh275637.addChild(new Item("About This Manual", "preface2.htm#1054878"));
wwh275637.addChild(new Item("Audience", "preface3.htm#1041040"));
wwh275637.addChild(new Item("Other Resources", "preface4.htm#1041668"));
wwh275637.addChild(new Item("Integrations Between Rational Testing Tools and Other&nbsp;Rational Products", "preface5.htm#1055769"));
wwh275637.addChild(new Item("Contacting Rational Technical Publications", "preface6.htm#1055379"));
wwh275637.addChild(new Item("Contacting Rational Customer Support", "preface7.htm#1055382"));
wwhtop.addChild(new Item("Part 1: Adding Custom Test Script", "divider1.htm#14906"));
var wwh275655=new Folder("Introduction to Custom Test Script Types", "tseaintr.htm#1104809");
wwhtop.addChild(wwh275655);

wwh275655.addChild(new Item("About Test Script Types", "tseaint2.htm#1104796"));
wwh275655.addChild(new Item("Built-In Test Script Types", "tseaint3.htm#1113054"));
wwh275655.addChild(new Item("Running a Test Script with the Command Line Adapter", "tseaint4.htm#1119038"));
var wwh275663=new Folder("Adding Test Script Types", "tseaint5.htm#1113120");
wwh275655.addChild(wwh275663);

wwh275663.addChild(new Item("Adding a Command Line Test Script Type", "tseaint5.htm#1113320"));
wwh275663.addChild(new Item("Adding a Custom Test Script Type", "tseaint5.htm#1113085"));
var wwh275669=new Folder("Using Test Script Options", "tseaint6.htm#1119769");
wwh275655.addChild(wwh275669);

wwh275669.addChild(new Item("Editing Test Script Options for a Test Script Type", "tseaint6.htm#1119788"));
wwh275669.addChild(new Item("Editing Test Script Options for a Test Script Source", "tseaint6.htm#1119798"));
wwh275669.addChild(new Item("Editing Test Script Options for a Test Script", "tseaint6.htm#1119812"));
wwh275669.addChild(new Item("Editing Test Script Options for an Instance in a Suite", "tseaint6.htm#1119822"));
wwh275669.addChild(new Item("Editing Test Script Options for a Test Case Instance", "tseaint6.htm#1119833"));
wwh275669.addChild(new Item("Setting or Viewing Option Values", "tseaint6.htm#1119845"));
wwh275655.addChild(new Item("Using Test Tool Options", "tseaint7.htm#1120001"));
wwh275655.addChild(new Item("Component Description and Communication Overview", "tseaint8.htm#1119687"));
wwh275655.addChild(new Item("Using the Command Line Execution Engine", "tseaint9.htm#1115701"));
var wwh275691=new Folder("Test Script Execution Adapter API", "tseaapi.htm#1104809");
wwhtop.addChild(wwh275691);

wwh275691.addChild(new Item("About This API", "tseaapi2.htm#1104796"));
wwh275691.addChild(new Item("Communication Overview", "tseaapi3.htm#1113679"));
wwh275691.addChild(new Item("Data Types and C Header Files", "tseaapi4.htm#1112833"));
wwh275691.addChild(new Item("Summary", "tseaapi5.htm#1115546"));
wwh275691.addChild(new Item("SessionClose()", "tseaapi5.htm#1112957"));
wwh275691.addChild(new Item("SessionGetOption()", "tseaapi5.htm#1113153"));
wwh275691.addChild(new Item("SessionOpen()", "tseaapi5.htm#1121728"));
wwh275691.addChild(new Item("SessionSetOption()", "tseaapi5.htm#1113317"));
wwh275691.addChild(new Item("TaskAbort()", "tseaapi5.htm#1122106"));
wwh275691.addChild(new Item("TaskClose()", "tseaapi5.htm#1114842"));
wwh275691.addChild(new Item("TaskCreate()", "tseaapi5.htm#1121943"));
wwh275691.addChild(new Item("TaskExecute()", "tseaapi5.htm#1122041"));
wwh275691.addChild(new Item("TaskGetOption()", "tseaapi5.htm#1114966"));
wwh275691.addChild(new Item("TaskSetOption()", "tseaapi5.htm#1114996"));
wwh275691.addChild(new Item("TSEAError()", "tseaapi5.htm#1115151"));
var wwh275725=new Folder("Test Script Services", "tssapi.htm#434258");
wwhtop.addChild(wwh275725);

wwh275725.addChild(new Item("About Test Script Services", "tssapi2.htm#434260"));
var wwh275729=new Folder("Datapool Services", "tssapi3.htm#2286734");
wwh275725.addChild(wwh275729);

wwh275729.addChild(new Item("Summary", "tssapi3.htm#2510800"));
wwh275729.addChild(new Item("TSSDatapoolClose()", "tssapi3.htm#2042080"));
wwh275729.addChild(new Item("TSSDatapoolColumnCount()", "tssapi3.htm#2280482"));
wwh275729.addChild(new Item("TSSDatapoolColumnName()", "tssapi3.htm#2280553"));
wwh275729.addChild(new Item("TSSDatapoolFetch()", "tssapi3.htm#2042707"));
wwh275729.addChild(new Item("TSSDatapoolOpen()", "tssapi3.htm#424918"));
wwh275729.addChild(new Item("TSSDatapoolRewind()", "tssapi3.htm#2267647"));
wwh275729.addChild(new Item("TSSDatapoolRowCount()", "tssapi3.htm#2043112"));
wwh275729.addChild(new Item("TSSDatapoolSearch()", "tssapi3.htm#424993"));
wwh275729.addChild(new Item("TSSDatapoolSeek()", "tssapi3.htm#3089938"));
wwh275729.addChild(new Item("TSSDatapoolValue()", "tssapi3.htm#2043654"));
var wwh275753=new Folder("Logging Services", "tssapi4.htm#434986");
wwh275725.addChild(wwh275753);

wwh275753.addChild(new Item("Summary", "tssapi4.htm#2513005"));
wwh275753.addChild(new Item("TSSLogEvent()", "tssapi4.htm#653922"));
wwh275753.addChild(new Item("TSSLogMessage()", "tssapi4.htm#434440"));
wwh275753.addChild(new Item("TSSLogTestCaseResult()", "tssapi4.htm#434472"));
var wwh275763=new Folder("Measurement Services", "tssapi5.htm#425053");
wwh275725.addChild(wwh275763);

wwh275763.addChild(new Item("Summary", "tssapi5.htm#969480"));
wwh275763.addChild(new Item("TSSCommandEnd()", "tssapi5.htm#2040039"));
wwh275763.addChild(new Item("TSSCommandStart()", "tssapi5.htm#515315"));
wwh275763.addChild(new Item("TSSEnvironmentOp()", "tssapi5.htm#487608"));
wwh275763.addChild(new Item("TSSGetTime()", "tssapi5.htm#2039741"));
wwh275763.addChild(new Item("TSSInternalVarGet()", "tssapi5.htm#487669"));
wwh275763.addChild(new Item("TSSThink()", "tssapi5.htm#2039425"));
wwh275763.addChild(new Item("TSSTimerStart()", "tssapi5.htm#2040297"));
wwh275763.addChild(new Item("TSSTimerStop()", "tssapi5.htm#2040354"));
var wwh275783=new Folder("Utility Services", "tssapi6.htm#425275");
wwh275725.addChild(wwh275783);

wwh275783.addChild(new Item("Summary", "tssapi6.htm#2515427"));
wwh275783.addChild(new Item("TSSApplicationPid()", "tssapi6.htm#5106461"));
wwh275783.addChild(new Item("TSSApplicationStart()", "tssapi6.htm#5107192"));
wwh275783.addChild(new Item("TSSApplicationWait()", "tssapi6.htm#5110936"));
wwh275783.addChild(new Item("TSSDelay()", "tssapi6.htm#5111803"));
wwh275783.addChild(new Item("TSSErrorDetail()", "tssapi6.htm#425278"));
wwh275783.addChild(new Item("TSSGetComputerConfigurationAttributeList()", "tssapi6.htm#5167787"));
wwh275783.addChild(new Item("TSSGetComputerConfigurationAttributeValue()", "tssapi6.htm#5175239"));
wwh275783.addChild(new Item("TSSGetPath()", "tssapi6.htm#5167842"));
wwh275783.addChild(new Item("TSSGetScriptOption()", "tssapi6.htm#425285"));
wwh275783.addChild(new Item("TSSGetTestCaseConfigurationAttribute()", "tssapi6.htm#5174637"));
wwh275783.addChild(new Item("TSSGetTestCaseConfigurationAttributeList()", "tssapi6.htm#5179729"));
wwh275783.addChild(new Item("TSSGetTestCaseConfigurationName()", "tssapi6.htm#2292189"));
wwh275783.addChild(new Item("TSSGetTestCaseName()", "tssapi6.htm#5115789"));
wwh275783.addChild(new Item("TSSGetTestToolOption()", "tssapi6.htm#5184704"));
wwh275783.addChild(new Item("TSSJavaApplicationStart()", "tssapi6.htm#7727430"));
wwh275783.addChild(new Item("TSSNegExp()", "tssapi6.htm#2037913"));
wwh275783.addChild(new Item("TSSRand()", "tssapi6.htm#552727"));
wwh275783.addChild(new Item("TSSSeedRand()", "tssapi6.htm#2037432"));
wwh275783.addChild(new Item("TSSePrint()", "tssapi6.htm#2036450"));
wwh275783.addChild(new Item("TSSPrint()", "tssapi6.htm#641402"));
wwh275783.addChild(new Item("TSSUniform()", "tssapi6.htm#2036881"));
wwh275783.addChild(new Item("TSSUniqueString()", "tssapi6.htm#5187617"));
var wwh275831=new Folder("Monitor Services", "tssapi7.htm#425367");
wwh275725.addChild(wwh275831);

wwh275831.addChild(new Item("Summary", "tssapi7.htm#2516784"));
wwh275831.addChild(new Item("TSSDisplay()", "tssapi7.htm#425369"));
wwh275831.addChild(new Item("TSSPositionGet()", "tssapi7.htm#2034046"));
wwh275831.addChild(new Item("TSSPositionSet()", "tssapi7.htm#898408"));
wwh275831.addChild(new Item("TSSReportCommandStatus()", "tssapi7.htm#425485"));
wwh275831.addChild(new Item("TSSRunStateGet()", "tssapi7.htm#2034858"));
wwh275831.addChild(new Item("TSSRunStateSet()", "tssapi7.htm#2035711"));
var wwh275847=new Folder("Synchronization Services", "tssapi8.htm#425498");
wwh275725.addChild(wwh275847);

wwh275847.addChild(new Item("Summary", "tssapi8.htm#2516849"));
wwh275847.addChild(new Item("TSSSharedVarAssign()", "tssapi8.htm#2032647"));
wwh275847.addChild(new Item("TSSSharedVarEval()", "tssapi8.htm#425514"));
wwh275847.addChild(new Item("TSSSharedVarWait()", "tssapi8.htm#425557"));
wwh275847.addChild(new Item("TSSSyncPoint()", "tssapi8.htm#2033316"));
var wwh275859=new Folder("Session Services", "tssapi9.htm#425573");
wwh275725.addChild(wwh275859);

wwh275859.addChild(new Item("Summary", "tssapi9.htm#2516898"));
wwh275859.addChild(new Item("TSSConnect()", "tssapi9.htm#7675083"));
wwh275859.addChild(new Item("TSSContext()", "tssapi9.htm#4892132"));
wwh275859.addChild(new Item("TSSDisconnect()", "tssapi9.htm#7675645"));
wwh275859.addChild(new Item("TSSServerStart()", "tssapi9.htm#2031686"));
wwh275859.addChild(new Item("TSSServerStop()", "tssapi9.htm#2031730"));
wwh275859.addChild(new Item("TSSShutdown()", "tssapi9.htm#7676160"));
var wwh275875=new Folder("Advanced Services", "tssapi10.htm#425647");
wwh275725.addChild(wwh275875);

wwh275875.addChild(new Item("Summary", "tssapi10.htm#2516982"));
wwh275875.addChild(new Item("TSSInternalVarSet()", "tssapi10.htm#2031121"));
wwh275875.addChild(new Item("TSSLogCommand()", "tssapi10.htm#425657"));
wwh275875.addChild(new Item("TSSThinkTime()", "tssapi10.htm#2894505"));
var wwh275887=new Folder("Test Script Console Adapter API", "tscaapi.htm#1160445");
wwhtop.addChild(wwh275887);

var wwh275889=new Folder("About the Test Script Console Adapter", "tscaapi2.htm#1162606");
wwh275887.addChild(wwh275889);

wwh275889.addChild(new Item("TSCA Functionality", "tscaapi2.htm#1166837"));
wwh275889.addChild(new Item("Built-In and Custom Test Script Types", "tscaapi2.htm#1162610"));
wwh275889.addChild(new Item("The TSCA Function Calls", "tscaapi2.htm#1162636"));
var wwh275903=new Folder("Building a Custom Test Script Console Adapter", "tscaapi3.htm#1162989");
wwh275887.addChild(wwh275903);

wwh275903.addChild(new Item("Prerequisite Skills", "tscaapi3.htm#1162993"));
wwh275903.addChild(new Item("Building a TSCA: Workflow and Implementation Issues", "tscaapi3.htm#1163000"));
wwh275887.addChild(new Item("Registering the TSCA DLL with TestManager", "tscaapi4.htm#1197506"));
wwh275887.addChild(new Item("TSCA Function Reference", "tscaapi5.htm#1193122"));
wwh275887.addChild(new Item("TTAddToSourceControl()", "tscaapi5.htm#1163078"));
wwh275887.addChild(new Item("TTCheckIn()", "tscaapi5.htm#1163151"));
wwh275887.addChild(new Item("TTCheckOut()", "tscaapi5.htm#1163220"));
wwh275887.addChild(new Item("TTClearFilter()", "tscaapi5.htm#1163291"));
wwh275887.addChild(new Item("TTConnect()", "tscaapi5.htm#1163334"));
wwh275887.addChild(new Item("TTDisconnect()", "tscaapi5.htm#1163438"));
wwh275887.addChild(new Item("TTEdit()", "tscaapi5.htm#1163473"));
wwh275887.addChild(new Item("TTExecuteNodeAction()", "tscaapi5.htm#1210077"));
wwh275887.addChild(new Item("TTExecuteSourceAction()", "tscaapi5.htm#1163583"));
wwh275887.addChild(new Item("TTGetChildren()", "tscaapi5.htm#1163653"));
wwh275887.addChild(new Item("TTGetConfiguration()", "tscaapi5.htm#1163728"));
wwh275887.addChild(new Item("TTGetFilterEx()", "tscaapi5.htm#1163809"));
wwh275887.addChild(new Item("TTGetIcon()", "tscaapi5.htm#1163884"));
wwh275887.addChild(new Item("TTGetIsFunctionSupported()", "tscaapi5.htm#1163933"));
wwh275887.addChild(new Item("TTGetName()", "tscaapi5.htm#1164012"));
wwh275887.addChild(new Item("TTGetNode()", "tscaapi5.htm#1164052"));
wwh275887.addChild(new Item("TTGetNodeActions()", "tscaapi5.htm#1209354"));
wwh275887.addChild(new Item("TTGetRoots()", "tscaapi5.htm#1164180"));
wwh275887.addChild(new Item("TTGetSourceActions()", "tscaapi5.htm#1164252"));
wwh275887.addChild(new Item("TTGetSourceControlStatus()", "tscaapi5.htm#1164322"));
wwh275887.addChild(new Item("TTGetSourceIcon()", "tscaapi5.htm#1164389"));
wwh275887.addChild(new Item("TTGetTestToolOptions()", "tscaapi5.htm#1164449"));
wwh275887.addChild(new Item("TTGetTypeIcon()", "tscaapi5.htm#1164525"));
wwh275887.addChild(new Item("TTNew()", "tscaapi5.htm#1164591"));
wwh275887.addChild(new Item("TTSelect()", "tscaapi5.htm#1164644"));
wwh275887.addChild(new Item("TTSetConfiguration()", "tscaapi5.htm#1164718"));
wwh275887.addChild(new Item("TTSetFilterEx()", "tscaapi5.htm#1164778"));
wwh275887.addChild(new Item("TTShowProperties()", "tscaapi5.htm#1164849"));
wwh275887.addChild(new Item("TTUndoCheckout()", "tscaapi5.htm#1164901"));
wwhtop.addChild(new Item("Part 2: Adding Custom Test Input", "divider2.htm#14906"));
var wwh275989=new Folder("Introduction to the Test Input Adapter API", "tiintro.htm#1104809");
wwhtop.addChild(wwh275989);

var wwh275991=new Folder("About Test Input Adapters", "tiintro2.htm#1109941");
wwh275989.addChild(wwh275991);

wwh275991.addChild(new Item("TIA Functionality", "tiintro2.htm#1109944"));
wwh275991.addChild(new Item("Built-In and Custom TIAs", "tiintro2.htm#1109954"));
wwh275991.addChild(new Item("The TIA Function Calls", "tiintro2.htm#1110290"));
var wwh276003=new Folder("Building a Custom Test Input Adapter", "tiintro3.htm#1110135");
wwh275989.addChild(wwh276003);

wwh276003.addChild(new Item("Prerequisite Skills", "tiintro3.htm#1110137"));
wwh276003.addChild(new Item("Building a TIA: Workflow and Implementation Issues", "tiintro3.htm#1110143"));
wwh276003.addChild(new Item("Registering a New Test Input Adapter", "tiintro3.htm#1110199"));
wwh276003.addChild(new Item("", "tiintro3.htm#1106666"));
var wwh276029=new Folder("Test Input Adapter Reference", "tia_refe.htm#1104809");
wwhtop.addChild(wwh276029);

wwh276029.addChild(new Item("Summary of TIA Functions", "tia_refe.htm#1268940"));
wwh276029.addChild(new Item("Using the Type Node Structure", "tia_refe.htm#1308765"));
wwh276029.addChild(new Item("Note on Memory Allocation", "tia_refe.htm#1269215"));
wwh276029.addChild(new Item("TIConnect()", "tia_refe.htm#1269218"));
wwh276029.addChild(new Item("TIConnectEx()", "tia_refe.htm#1269258"));
wwh276029.addChild(new Item("TIDisconnect()", "tia_refe.htm#1269308"));
wwh276029.addChild(new Item("TIExecuteNodeAction()", "tia_refe.htm#1269341"));
wwh276029.addChild(new Item("TIExecuteSourceAction()", "tia_refe.htm#1269380"));
wwh276029.addChild(new Item("TIGetChildren()", "tia_refe.htm#1269420"));
wwh276029.addChild(new Item("TIGetConfiguration()", "tia_refe.htm#1269466"));
wwh276029.addChild(new Item("TIGetFilterEx()", "tia_refe.htm#1269509"));
wwh276029.addChild(new Item("TIGetIsChild()", "tia_refe.htm#1269560"));
wwh276029.addChild(new Item("TIGetIsFunctionSupported()", "tia_refe.htm#1269599"));
wwh276029.addChild(new Item("TIGetIsModified()", "tia_refe.htm#1269639"));
wwh276029.addChild(new Item("TIGetIsModifiedSince()", "tia_refe.htm#1269679"));
wwh276029.addChild(new Item("TIGetIsNode()", "tia_refe.htm#1269726"));
wwh276029.addChild(new Item("TIGetIsParent()", "tia_refe.htm#1269768"));
wwh276029.addChild(new Item("TIGetIsValidSource()", "tia_refe.htm#1269810"));
wwh276029.addChild(new Item("TIGetModified()", "tia_refe.htm#1269831"));
wwh276029.addChild(new Item("TIGetModifiedSince()", "tia_refe.htm#1269872"));
wwh276029.addChild(new Item("TIGetName()", "tia_refe.htm#1269916"));
wwh276029.addChild(new Item("TIGetNeedsValidation()", "tia_refe.htm#1269958"));
wwh276029.addChild(new Item("TIGetNode()", "tia_refe.htm#1269996"));
wwh276029.addChild(new Item("TIGetNodeActions()", "tia_refe.htm#1270031"));
wwh276029.addChild(new Item("TIGetParent()", "tia_refe.htm#1270075"));
wwh276029.addChild(new Item("TIGetRoots()", "tia_refe.htm#1270121"));
wwh276029.addChild(new Item("TIGetSourceActions()", "tia_refe.htm#1270168"));
wwh276029.addChild(new Item("TIGetSourceIcon()", "tia_refe.htm#1270208"));
wwh276029.addChild(new Item("TIGetType()", "tia_refe.htm#1270242"));
wwh276029.addChild(new Item("TIGetTypeIcon()", "tia_refe.htm#1270285"));
wwh276029.addChild(new Item("TIGetTypes()", "tia_refe.htm#1270323"));
wwh276029.addChild(new Item("TISetConfiguration()", "tia_refe.htm#1270363"));
wwh276029.addChild(new Item("TISetFilter()", "tia_refe.htm#1270403"));
wwh276029.addChild(new Item("TISetFilterEx()", "tia_refe.htm#1270436"));
wwh276029.addChild(new Item("TISetValidationFilter()", "tia_refe.htm#1270480"));
wwh276029.addChild(new Item("TIShowProperties()", "tia_refe.htm#1335867"));
wwh276029.addChild(new Item("TIShowSelectDialog()", "tia_refe.htm#1270559"));
var wwh276107=new Folder("Using Test Script Services from an External C or C++ Program", "calltssf.htm#998197");
wwhtop.addChild(wwh276107);

var wwh276109=new Folder("Connecting to a TestManager Listener Port", "calltss2.htm#1009516");
wwh276107.addChild(wwh276109);

wwh276109.addChild(new Item("Example: Attaching to a TestManager Listener Port", "calltss2.htm#1009478"));
var wwh276113=new Folder("Arguments of TSSEnvironmentOp()", "calltss3.htm#1004693");
wwh276107.addChild(wwh276113);

wwh276113.addChild(new Item("Example: Manipulating Environment Variables", "calltss3.htm#1017436"));
wwh276107.addChild(new Item("Arguments of TSSInternalVarGet()", "calltss4.htm#1013247"));

